package test.org.itscool.commons.document4;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import junit.framework.TestCase;

import org.itscool.commons.document.BeanToXmlDocument;

public class BeanToXmlDocumentTest extends TestCase{
    
    /**
     * クラスの継承に対するXML⇒JavaBeansマッピングテスト
     */
    public void testParseList(){
        SampleSubBean2 bean = new SampleSubBean2();
        bean.setId(1);
        bean.setName("ほげ　たろう");
        bean.setAddr("大阪府 茨木市...");
        bean.setTel("090-0000-1234");
        bean.setDate(new Date());
        
        SampleSubBean2 bean2 = new SampleSubBean2();
        bean2.setId(2);
        bean2.setName("ななしの　たろう");
        bean2.setAddr("大阪府 高槻市...");
        bean2.setTel("090-0000-1234");
        bean2.setDate(new Date());
        
        List list = new ArrayList();
        list.add(bean);
        list.add(bean2);
        
        try{
            BeanToXmlDocument beanToXml = new BeanToXmlDocument("root");
            beanToXml.addElement(bean, "header");
            
            //マッピング定義
            beanToXml.replaceClassToTagName(SampleSubBean2.class.getName(), "sample_sub_bean");
            
            //オブジェクト追加
            beanToXml.addElement(list, "list");
            
            System.out.println(beanToXml.parseTextIndent("Shift_JIS"));
            
        }catch(Exception e){
            e.printStackTrace();
            fail(e.getMessage());
        }
    }
    
}
